<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */
class Pruefziffer_98 implements IPruefziffer
{
  public static function check($pKtoNr, $pBlz, $pGewichtung = array(), $pPruefZifferStelle = 9)
  {
    $ktoNr = \str_pad($pKtoNr, 10, '0', STR_PAD_LEFT);

    $gewichtung = array(0, 3, 1, 7, 3, 1, 7, 3, 0, 0);

    $result = Pruefziffer_01::check($ktoNr, $pBlz, $gewichtung);
    if (!$result) {
      $result = Pruefziffer_32::check($ktoNr, $pBlz, $gewichtung);
    }

    return $result;
  }
}